#refer to bopflg
#bop
DBA.bopflg=BOPA
DBB.bopflg=BOPB
DBC.bopflg=BOPC
DBD.bopflg=BOPD
DBE.bopflg=BOPE
DBF.bopflg=BOPF
DBG.bopflg=BOPG
DBH.bopflg=BOPH
DBK.bopflg=BOPK
DBN.bopflg=BOPN
DBP.bopflg=BOPP
DBQ.bopflg=BOPQ
DBR.bopflg=BOPR
DBS.bopflg=BOPS
DBU.bopflg=BOPU
DBJ.bopflg=JSHD
DBW.bopflg=JSHE
DBV.bopflg=JSHF
DBY.bopflg=JSHG
DBZ.bopflg=JSHU

FEA.bopflg=ACCCA
FEB.bopflg=ACCCB

DCR.bopflg=CFAAA
BCR.bopflg=CFAAB
OIL.bopflg=CFAAC
EAD.bopflg=CFAAD
RPC.bopflg=CFAAE
EAF.bopflg=CFAAF
SDL.bopflg=CFAAG
PML.bopflg=CFAAH
OLS.bopflg=CFAAI
MMI.bopflg=CFAAJ
BAN.bopflg=CFAAK
OID.bopflg=CFAAL
OBC.bopflg=CFAAM
NRD.bopflg=CFAAN
NRP.bopflg=CFAAP
OFD.bopflg=CFAAQ
ECI.bopflg=CFAAR
BLI.bopflg=CFAAS


UDC.bopflg=EXDAA
UBC.bopflg=EXDAB
UOI.bopflg=EXDAC
UEA.bopflg=EXDAD
URP.bopflg=EXDAE
UEF.bopflg=EXDAF
USD.bopflg=EXDAG
UPM.bopflg=EXDAH
UOL.bopflg=EXDAI
UMM.bopflg=EXDAJ
UBA.bopflg=EXDAK
UID.bopflg=EXDAL
UOB.bopflg=EXDAM
URD.bopflg=EXDAN
UNR.bopflg=EXDAP
UOF.bopflg=EXDAQ
UCI.bopflg=EXDAR
ULI.bopflg=EXDAS


EBA.bopflg=CFABA
EBB.bopflg=CFABB
EBC.bopflg=CFABC
ECA.bopflg=CFACA
ECB.bopflg=CFACB
CTF.bopflg=CFADA
ECF.bopflg=CFADB
CTR.bopflg=CFAEA
ECR.bopflg=CFAEB
CAT.bopflg=CFAFA
TER.bopflg=CFAFB
INP.bopflg=CFAFC
COI.bopflg=CFAFD

GZA.bopflg=FALZA
GZB.bopflg=FALZB
GZC.bopflg=FALZC
GAA.bopflg=FALAA
GAB.bopflg=FALAB
GAC.bopflg=FALAC
GAD.bopflg=FALAD
GAE.bopflg=FALAE
GBA.bopflg=FALBA
GBB.bopflg=FALBB
GBC.bopflg=FALBC
GBD.bopflg=FALBD
GBE.bopflg=FALBE
GBF.bopflg=FALBF
GCA.bopflg=FALCA
GDA.bopflg=FALDA
GDB.bopflg=FALDB
GDC.bopflg=FALDC
GDD.bopflg=FALDD
GDE.bopflg=FALDE
GDF.bopflg=FALDF
GDG.bopflg=FALDG
GDH.bopflg=FALDH
GDI.bopflg=FALDI
GDJ.bopflg=FALDJ
GEA.bopflg=FALEA
GFA.bopflg=FALFA
GFB.bopflg=FALFB
GGA.bopflg=FALGA
GGB.bopflg=FALGB
GHA.bopflg=FALHA
GHB.bopflg=FALHB
GIA.bopflg=FALIA
GIB.bopflg=FALIB
GIC.bopflg=FALIC
GXA.bopflg=FALXA

HIA.bopflg=CWDIA
HIB.bopflg=CWDIB
HCA.bopflg=CWDCA
HCB.bopflg=CWDCB

TDA.bopflg=RMB
TDB.bopflg=RMB
TDD.bopflg=RMB
TDE.bopflg=RMB
TDF.bopflg=RMB
TDJ.bopflg=RMB
TDK.bopflg=RMB
TDL.bopflg=RMB
TDM.bopflg=RMB
TDN.bopflg=RMB
TDO.bopflg=RMB
TDQ.bopflg=RMB
TDS.bopflg=RMB
TDV.bopflg=RMB
TDW.bopflg=RMB
TFA.bopflg=RMB
TFB.bopflg=RMB
TFC.bopflg=RMB
TFD.bopflg=RMB
TFF.bopflg=RMB
TCC.bopflg=RMB
TCD.bopflg=RMB
TCG.bopflg=RMB
TCJ.bopflg=RMB
TCM.bopflg=RMB
TCP.bopflg=RMB
TEH.bopflg=RMB
TEI.bopflg=RMB
TFK.bopflg=RMB
TFL.bopflg=RMB
TGW.bopflg=RMB
TGV.bopflg=RMB
THA.bopflg=RMB
THB.bopflg=RMB
THC.bopflg=RMB
THD.bopflg=RMB
THE.bopflg=RMB


#apptype->objtyp
BOPA.objtyp=DBA
BOPB.objtyp=DBB
BOPC.objtyp=DBC
BOPD.objtyp=DBD
BOPE.objtyp=DBE
BOPF.objtyp=DBF
BOPG.objtyp=DBG
BOPH.objtyp=DBH
BOPK.objtyp=DBK
BOPN.objtyp=DBN
BOPP.objtyp=DBP
BOPQ.objtyp=DBQ
BOPR.objtyp=DBR
BOPS.objtyp=DBS
BOPU.objtyp=DBU
JSHD.objtyp=DBJ
JSHE.objtyp=DBW
JSHF.objtyp=DBV
JSHG.objtyp=DBY
JSHU.objtyp=DBZ

ACCCA.objtyp=FEA
ACCCB.objtyp=FEB

CFAAA.objtyp=DCR
CFAAB.objtyp=BCR
CFAAC.objtyp=OIL
CFAAD.objtyp=EAD
CFAAE.objtyp=RPC
CFAAF.objtyp=EAF
CFAAG.objtyp=SDL
CFAAH.objtyp=PML
CFAAI.objtyp=OLS
CFAAJ.objtyp=MMI
CFAAK.objtyp=BAN
CFAAL.objtyp=OID
CFAAM.objtyp=OBC
CFAAN.objtyp=NRD
CFAAP.objtyp=NRP
CFAAQ.objtyp=OFD
CFAAR.objtyp=ECI
CFAAS.objtyp=BLI
CFABA.objtyp=EBA
CFABB.objtyp=EBB
CFABC.objtyp=EBC
CFACA.objtyp=ECA
CFACB.objtyp=ECB
CFADA.objtyp=CTF
CFADB.objtyp=ECF
CFAEA.objtyp=CTR
CFAEB.objtyp=ECR
CFAFA.objtyp=CAT
CFAFB.objtyp=TER
CFAFC.objtyp=INP
CFAFD.objtyp=COI


EXDAA.objtyp=DCR
EXDAB.objtyp=BCR
EXDAC.objtyp=OIL
EXDAD.objtyp=EAD
EXDAE.objtyp=RPC
EXDAF.objtyp=EAF
EXDAG.objtyp=SDL
EXDAH.objtyp=PML
EXDAI.objtyp=OLS
EXDAJ.objtyp=MMI
EXDAK.objtyp=BAN
EXDAL.objtyp=OID
EXDAM.objtyp=OBC
EXDAN.objtyp=NRD
EXDAP.objtyp=NRP
EXDAQ.objtyp=OFD
EXDAR.objtyp=ECI
EXDAS.objtyp=BLI


FALZA.objtyp=GZA
FALZB.objtyp=GZB
FALZC.objtyp=GZC
FALAA.objtyp=GAA
FALAB.objtyp=GAB
FALAC.objtyp=GAC
FALAD.objtyp=GAD
FALAE.objtyp=GAE
FALBA.objtyp=GBA
FALBB.objtyp=GBB
FALBC.objtyp=GBC
FALBD.objtyp=GBD
FALBE.objtyp=GBE
FALBF.objtyp=GBF
FALCA.objtyp=GCA
FALDA.objtyp=GDA
FALDB.objtyp=GDB
FALDC.objtyp=GDC
FALDD.objtyp=GDD
FALDE.objtyp=GDE
FALDF.objtyp=GDF
FALDG.objtyp=GDG
FALDH.objtyp=GDH
FALDI.objtyp=GDI
FALDJ.objtyp=GDJ
FALEA.objtyp=GEA
FALFA.objtyp=GFA
FALFB.objtyp=GFB
FALGA.objtyp=GGA
FALGB.objtyp=GGB
FALHA.objtyp=GHA
FALHB.objtyp=GHB
FALIA.objtyp=GIA
FALIB.objtyp=GIB
FALIC.objtyp=GIC
FALXA.objtyp=GXA

GES.bopflg=FAL

CWDIA.objtyp=HIA
CWDIB.objtyp=HIB
CWDCA.objtyp=HCA
CWDCB.objtyp=HCB

IOA.bopflg=ZMQ
IOC.bopflg=ZMQ
IOE.bopflg=ZMQ
IOG.bopflg=ZMQ
IOP.bopflg=ZMQ
IOR.bopflg=ZMQ
IOT.bopflg=ZMQ
IOV.bopflg=ZMQ
IOX.bopflg=ZMQ
IOZ.bopflg=ZMQ
IAB.bopflg=ZMQ
IAD.bopflg=ZMQ
IAF.bopflg=ZMQ
IAH.bopflg=ZMQ
IAJ.bopflg=ZMQ
IAL.bopflg=ZMQ
IAN.bopflg=ZMQ
IAP.bopflg=ZMQ
IAR.bopflg=ZMQ
IAT.bopflg=ZMQ
IAV.bopflg=ZMQ
IAX.bopflg=ZMQ
IAZ.bopflg=ZMQ
IBB.bopflg=ZMQ
IBD.bopflg=ZMQ
IBE.bopflg=ZMQ
IBF.bopflg=ZMQ
IBH.bopflg=ZMQ
IBI.bopflg=ZMQ
IBJ.bopflg=ZMQ
IBK.bopflg=ZMQ
IBL.bopflg=ZMQ
IBM.bopflg=ZMQ
IBN.bopflg=ZMQ
IBO.bopflg=ZMQ
IBP.bopflg=ZMQ
IBR.bopflg=ZMQ
IBS.bopflg=ZMQ